Subject: Re: [WIP/PATCH v4 1/8] for-each-ref: extract helper functions out of grab_single_ref()

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Jun 2015 07:39:37 -0700

Matthieu Moy <[email-masked]> writes:

> Just match_refname may not carry all the semantics of the function,
> which matches a prefix up to the end of string, or up to a / (but you
> can't just be a prefix stopping in the middle of a word). To me, the
> "_as_path" helped understanding the overall behavior of the function.

Yeah, Karthik explained that the plan is to add different kinds of
matching later, and in that context _as_path is a good way to tell
them apart.

Thanks.